PUT
/v1/inventory/alert-settingsPUT /v1/inventory/alert-settings
Scopes: inventory:alert_settings:write
Requires scope: inventory:alert_settings:write.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
warning_threshold | integer<int32> | no | |
critical_threshold | integer<int32> | no | |
is_disabled | boolean | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int64> | no | |
message | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/inventory/alert-settings', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);